> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity



## OpenAPI

````yaml firework-v4-openapi get /firework/v4/entities/{id}
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/entities/{id}:
    get:
      tags:
        - public
        - team=data-intelligence
      summary: Get Entity
      operationId: get_entity_entities__id__get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityAPIResponseTypes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EntityAPIResponseTypes:
      anyOf:
        - $ref: '#/components/schemas/ActorAPIResponse'
        - $ref: '#/components/schemas/AttackPatternEntityAPIResponse'
        - $ref: '#/components/schemas/CampaignEntityAPIResponse'
        - $ref: '#/components/schemas/ChatChannelEntityAPIResponse'
        - $ref: '#/components/schemas/ExternalReportEntityAPIResponse'
        - $ref: '#/components/schemas/ForumThreadAPIResponse'
        - $ref: '#/components/schemas/IndicatorEntityAPIResponse'
        - $ref: '#/components/schemas/InfrastructureEntityAPIResponse'
        - $ref: '#/components/schemas/LocationEntityAPIResponse'
        - $ref: '#/components/schemas/MalwareEntityAPIResponse'
        - $ref: '#/components/schemas/ThreatActorEntityAPIResponse'
        - $ref: '#/components/schemas/ThreatActorGroupEntityAPIResponse'
        - $ref: '#/components/schemas/ToolEntityAPIResponse'
        - $ref: '#/components/schemas/VulnerabilityEntityAPIResponse'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ActorAPIResponse:
      properties:
        entity_type:
          type: string
          const: actor
          title: Entity Type
          default: actor
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: >-
            #/components/schemas/pyro__entities__cti__actors__actor_datamodels__ActorData
      type: object
      required:
        - metadata
        - data
      title: ActorAPIResponse
    AttackPatternEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: attack_pattern
          title: Entity Type
          default: attack_pattern
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/AttackPatternEntityData'
      type: object
      required:
        - metadata
        - data
      title: AttackPatternEntityAPIResponse
    CampaignEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: campaign
          title: Entity Type
          default: campaign
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/CampaignEntityData'
      type: object
      required:
        - metadata
        - data
      title: CampaignEntityAPIResponse
    ChatChannelEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: chat_channel
          title: Entity Type
          default: chat_channel
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ChatChannelEntityData'
      type: object
      required:
        - metadata
        - data
      title: ChatChannelEntityAPIResponse
    ExternalReportEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: external_report
          title: Entity Type
          default: external_report
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ExternalReportEntityData'
      type: object
      required:
        - metadata
        - data
      title: ExternalReportEntityAPIResponse
    ForumThreadAPIResponse:
      properties:
        entity_type:
          type: string
          const: forum_thread
          title: Entity Type
          default: forum_thread
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ForumThreadData'
      type: object
      required:
        - metadata
        - data
      title: ForumThreadAPIResponse
    IndicatorEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: indicator
          title: Entity Type
          default: indicator
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/IndicatorEntityData'
      type: object
      required:
        - metadata
        - data
      title: IndicatorEntityAPIResponse
    InfrastructureEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: infrastructure
          title: Entity Type
          default: infrastructure
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/InfrastructureEntityData'
      type: object
      required:
        - metadata
        - data
      title: InfrastructureEntityAPIResponse
    LocationEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: location
          title: Entity Type
          default: location
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/LocationEntityData'
      type: object
      required:
        - metadata
        - data
      title: LocationEntityAPIResponse
    MalwareEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: malware
          title: Entity Type
          default: malware
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/MalwareEntityData'
      type: object
      required:
        - metadata
        - data
      title: MalwareEntityAPIResponse
    ThreatActorEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: threat_actor
          title: Entity Type
          default: threat_actor
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ThreatActorEntityData'
      type: object
      required:
        - metadata
        - data
      title: ThreatActorEntityAPIResponse
    ThreatActorGroupEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: threat_actor_group
          title: Entity Type
          default: threat_actor_group
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ThreatActorGroupEntityData'
      type: object
      required:
        - metadata
        - data
      title: ThreatActorGroupEntityAPIResponse
    ToolEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: tool
          title: Entity Type
          default: tool
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/ToolEntityData'
      type: object
      required:
        - metadata
        - data
      title: ToolEntityAPIResponse
    VulnerabilityEntityAPIResponse:
      properties:
        entity_type:
          type: string
          const: vulnerability
          title: Entity Type
          default: vulnerability
        metadata:
          $ref: '#/components/schemas/EntityMetadataAPIResponse'
        data:
          $ref: '#/components/schemas/VulnerabilityEntityData'
      type: object
      required:
        - metadata
        - data
      title: VulnerabilityEntityAPIResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EntityMetadataAPIResponse:
      properties:
        id:
          type: string
          title: Id
        created_by:
          type: string
          title: Created By
        sources:
          items:
            $ref: '#/components/schemas/CTIEntitySourceAPIResponse'
          type: array
          title: Sources
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
        first_seen_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Seen At
        last_seen_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Seen At
        confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence
      type: object
      required:
        - id
        - created_by
        - sources
        - created_at
        - updated_at
      title: EntityMetadataAPIResponse
    pyro__entities__cti__actors__actor_datamodels__ActorData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - name
        - description
      title: ActorData
    AttackPatternEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        kill_chain_phases:
          items:
            $ref: '#/components/schemas/KillChainAPIResponse'
          type: array
          title: Kill Chain Phases
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - kill_chain_phases
        - marking_definitions
      title: AttackPatternEntityData
    CampaignEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - aliases
        - marking_definitions
      title: CampaignEntityData
    ChatChannelEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        topics:
          items:
            $ref: '#/components/schemas/ThreadTopic'
          type: array
          title: Topics
        conversation_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Link
        chat_channel_profile_overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Channel Profile Overview
        chat_channel_profile_content_and_activity:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Channel Profile Content And Activity
        chat_channel_profile_nature_and_sophistication:
          anyOf:
            - type: string
            - type: 'null'
          title: Chat Channel Profile Nature And Sophistication
      type: object
      required:
        - name
        - description
        - topics
        - conversation_link
        - chat_channel_profile_overview
        - chat_channel_profile_content_and_activity
        - chat_channel_profile_nature_and_sophistication
      title: ChatChannelEntityData
    ExternalReportEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        report_types:
          items:
            type: string
          type: array
          title: Report Types
        published:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - report_types
        - published
        - marking_definitions
      title: ExternalReportEntityData
    ForumThreadData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        topics:
          items:
            $ref: '#/components/schemas/ThreadTopic'
          type: array
          title: Topics
        original_post_overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Post Overview
        original_post_actor_intent:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Post Actor Intent
        replies_overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Replies Overview
        replies_sentiment_analysis:
          anyOf:
            - type: string
            - type: 'null'
          title: Replies Sentiment Analysis
        top_actors_overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Top Actors Overview
      type: object
      required:
        - name
        - description
        - topics
        - original_post_overview
        - original_post_actor_intent
        - replies_overview
        - replies_sentiment_analysis
        - top_actors_overview
      title: ForumThreadData
    IndicatorEntityData:
      properties:
        name:
          type: string
          title: Name
        pattern:
          type: string
          title: Pattern
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        pattern_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Pattern Version
        indicator_types:
          items:
            type: string
          type: array
          title: Indicator Types
        valid_from:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Valid From
        valid_until:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Valid Until
        kill_chain_phases:
          items:
            $ref: '#/components/schemas/KillChainAPIResponse'
          type: array
          title: Kill Chain Phases
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - pattern
        - description
        - pattern_version
        - indicator_types
        - valid_from
        - valid_until
        - kill_chain_phases
        - marking_definitions
      title: IndicatorEntityData
    InfrastructureEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        infrastructure_types:
          items:
            type: string
          type: array
          title: Infrastructure Types
        kill_chain_phases:
          items:
            $ref: '#/components/schemas/KillChainAPIResponse'
          type: array
          title: Kill Chain Phases
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - aliases
        - infrastructure_types
        - kill_chain_phases
        - marking_definitions
      title: InfrastructureEntityData
    LocationEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - country_code
        - marking_definitions
      title: LocationEntityData
    MalwareEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        malware_types:
          items:
            type: string
          type: array
          title: Malware Types
        kill_chain_phases:
          items:
            $ref: '#/components/schemas/KillChainAPIResponse'
          type: array
          title: Kill Chain Phases
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - aliases
        - malware_types
        - kill_chain_phases
        - marking_definitions
      title: MalwareEntityData
    ThreatActorEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        threat_actor_types:
          items:
            type: string
          type: array
          title: Threat Actor Types
        roles:
          items:
            type: string
          type: array
          title: Roles
        goals:
          items:
            type: string
          type: array
          title: Goals
        sophistication:
          anyOf:
            - type: string
            - type: 'null'
          title: Sophistication
        resource_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Resource Level
        primary_motivation:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Motivation
        secondary_motivation:
          items:
            type: string
          type: array
          title: Secondary Motivation
        personal_motivations:
          items:
            type: string
          type: array
          title: Personal Motivations
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - aliases
        - threat_actor_types
        - roles
        - goals
        - sophistication
        - resource_level
        - primary_motivation
        - secondary_motivation
        - personal_motivations
        - marking_definitions
      title: ThreatActorEntityData
    ThreatActorGroupEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        goals:
          items:
            type: string
          type: array
          title: Goals
        resource_level:
          items:
            type: string
          type: array
          title: Resource Level
        primary_motivation:
          anyOf:
            - type: string
            - type: 'null'
          title: Primary Motivation
        secondary_motivations:
          items:
            type: string
          type: array
          title: Secondary Motivations
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - aliases
        - goals
        - resource_level
        - primary_motivation
        - secondary_motivations
        - marking_definitions
      title: ThreatActorGroupEntityData
    ToolEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tool_types:
          items:
            type: string
          type: array
          title: Tool Types
        kill_chain_phases:
          items:
            $ref: '#/components/schemas/KillChainAPIResponse'
          type: array
          title: Kill Chain Phases
        tool_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Version
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - tool_types
        - kill_chain_phases
        - tool_version
        - marking_definitions
      title: ToolEntityData
    VulnerabilityEntityData:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        marking_definitions:
          items:
            $ref: '#/components/schemas/MarkingDefinition'
          type: array
          title: Marking Definitions
      type: object
      required:
        - name
        - description
        - marking_definitions
      title: VulnerabilityEntityData
    CTIEntitySourceAPIResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        confidence:
          anyOf:
            - type: integer
            - type: 'null'
          title: Confidence
      type: object
      required:
        - id
      title: CTIEntitySourceAPIResponse
    KillChainAPIResponse:
      properties:
        kill_chain_name:
          type: string
          title: Kill Chain Name
        phase_name:
          type: string
          title: Phase Name
      type: object
      required:
        - kill_chain_name
        - phase_name
      title: KillChainAPIResponse
    MarkingDefinition:
      properties:
        id:
          type: string
          title: Id
        definition_type:
          $ref: '#/components/schemas/MarkingDefinitionType'
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - definition_type
        - name
      title: MarkingDefinition
    ThreadTopic:
      properties:
        topic_id:
          type: string
          title: Topic Id
        label:
          type: string
          title: Label
        description:
          type: string
          title: Description
      type: object
      required:
        - topic_id
        - label
        - description
      title: ThreadTopic
    MarkingDefinitionType:
      type: string
      enum:
        - tlp
      title: MarkingDefinitionType
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````